# Files
demos_src = files()
external_src = files()
subdir('source')
subdir('external')

demos_inc = include_directories('source/')
external_inc = include_directories('external/sources/')

# Argumesnts
versions = ['BindSDL_Image','SDL_208', 'BindBC_Static', 'BindSDL_Static']

# Dependencies
bindbc_loader_dep = dependency('bindbc-loader')
bindbc_sdl_dep = dependency('bindbc-sdl')
cimgui_dep = dependency('cimgui')
sdl2_dep = dependency('SDL2')
sdl2_image_dep = dependency('SDL2_image')

subdir('utils') # Utils library

executable('decs-demos', [demos_src, external_src], 
	include_directories : [demos_inc, external_inc],
	d_module_versions : versions,
	link_with : [ecs_lib, ecs_utils_lib],
	dependencies : [
		bindbc_loader_dep,
		bindbc_sdl_dep,
		cimgui_dep,
		decs_dep,
		ecs_utils_dep,
		sdl2_dep,
		sdl2_image_dep,
	],
)